#include "medicalrecordwidget.h"
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QGridLayout>
#include <QFontMetrics>
#include <QDebug>
MedicalRecordWidget::MedicalRecordWidget(QWidget * parent   ):QWidget(parent)
{
    init();
    initLay();
    initConnect();
}
MedicalRecordWidget::~MedicalRecordWidget()
{

}
void  MedicalRecordWidget::init()
{
    //检查号
    m_labCheckNum.setText(tr("CheckNum"));

    //住院 hospitalized
    m_labHospitalized.setText(tr("hospitalized"));

    //门诊
    m_labOutpatient.setText(tr("Outpatient"));


    //姓名
    m_labName.setText(tr("Name"));

    //性别
     m_labSex.setText(tr("Sex"));;


    //左右利
    m_labLaterality.setText(tr("Laterality"));


    //检查日期
    m_labDate_Of_inspection.setText(tr("DateInspection"));


    //诊断病历
    m_labDiagnosticRecord.setText(tr("Record"));

    m_btnOk.setText(tr("ok"));
    m_btnCancel.setText(tr("Cancel"));

   int iwidth =  QFontMetrics(this->font()).width("Laterality");
   m_labCheckNum.setFixedWidth(iwidth);
   m_labName.setFixedWidth(iwidth);
   m_labLaterality.setFixedWidth(iwidth);
   m_labDiagnosticRecord.setFixedWidth(iwidth);
}
void  MedicalRecordWidget::initLay()
{

#if 1
    QHBoxLayout * hlayCheck  = new QHBoxLayout;
    QHBoxLayout * hlayName   = new QHBoxLayout;
    QHBoxLayout * hlayLaterality  =  new QHBoxLayout;
    QHBoxLayout * hlayDiagnosticRecord  =  new QHBoxLayout;
    QHBoxLayout * hlayokCancel  =  new QHBoxLayout;


    QVBoxLayout * vlay = new  QVBoxLayout;
    vlay->addLayout(hlayCheck);
    vlay->addLayout(hlayName);
    vlay->addLayout(hlayLaterality);
    vlay->addLayout(hlayDiagnosticRecord);
    vlay->addWidget(&m_textDiagnosticRecord);
    vlay->addLayout( hlayokCancel);
    setLayout(vlay);

    hlayCheck->addWidget(&m_labCheckNum,0,Qt::AlignHCenter);
    hlayCheck->addWidget(&m_editCheckNum);
    hlayCheck->addWidget(&m_labHospitalized);
    hlayCheck->addWidget(&m_chHospitalized);
    hlayCheck->addWidget(&m_labOutpatient);
    hlayCheck->addWidget(&m_chOutpatient);
    hlayCheck->addStretch();

    hlayName->addWidget(&m_labName,0,Qt::AlignHCenter);
    hlayName->addWidget(&m_editName);
    hlayName->addWidget(&m_labSex);
    hlayName->addWidget(&m_cbSex);
    hlayName->addStretch();

    hlayLaterality->addWidget(&m_labLaterality,0,Qt::AlignHCenter);
    hlayLaterality->addWidget(&m_cbLaterality);
    hlayLaterality->addWidget(&m_labDate_Of_inspection);
    hlayLaterality->addWidget(&m_dateInspection);
    hlayLaterality->addStretch();

    hlayDiagnosticRecord->addWidget(&m_labDiagnosticRecord,0,Qt::AlignHCenter);
    hlayDiagnosticRecord->addStretch();

    hlayokCancel->addStretch();
    hlayokCancel->addWidget(&m_btnOk);
    hlayokCancel->addSpacing(30);
    hlayokCancel->addWidget(&m_btnCancel);
    hlayokCancel->addStretch();


#else

#endif




}
bool  MedicalRecordWidget::initConnect()
{

}
