#ifndef MEDICALRECORDWIDGET_H
#define MEDICALRECORDWIDGET_H

/*
    des: MedicalRecordWidget 填写病历
    author:zhangyiming

*/
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QCheckBox>
#include <QComboBox>
#include <QDateEdit>
#include <QTextEdit>
#include <QGroupBox>
class MedicalRecordWidget:public QWidget
{
    Q_OBJECT
public:
    explicit MedicalRecordWidget(QWidget * parent  =nullptr);
    virtual ~MedicalRecordWidget();
    void  init();
    void  initLay();
    bool  initConnect();
private:
    //检查号
    QLabel m_labCheckNum;
    QLineEdit m_editCheckNum;

    //住院 hospitalized
    QLabel m_labHospitalized;
    QCheckBox m_chHospitalized;

    //门诊
    QLabel m_labOutpatient;
    QCheckBox m_chOutpatient;

    //姓名
    QLabel m_labName;
    QLineEdit m_editName;
    //性别
    QLabel m_labSex;
    QComboBox m_cbSex;

    //左右利
    QLabel m_labLaterality;
    QComboBox m_cbLaterality;

    //检查日期
    QLabel m_labDate_Of_inspection;
    QDateEdit m_dateInspection;

    //诊断病历
    QLabel m_labDiagnosticRecord;
    QTextEdit m_textDiagnosticRecord;

    QPushButton m_btnOk;
    QPushButton m_btnCancel;
};
#endif // MEDICALRECORDWIDGET_H
